NetworkMate

The easiest way to automate what happens when you switch WiFi networks on your Mac.

Requires macOS 10.11 or newer. Supports 10.14 Mojave Dark Mode.